Bug 888216 - nikto database is non free (?) content.
nikto database is non free (?) content.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: nikto (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Huzaifa S. Sidhpurwala
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2012-12-18 05:07 EST by mejiko
Modified: 2013-04-30 00:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-30 00:41:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mejiko 2012-12-18 05:07:41 EST
Hello.

I think that nikto database file is non free. (non-free restriction of use database)

See "nikto-database-license.txt"

Question: Is this nikto database is "content" ?

Suggests:

1. fix license tag. (Example: GPL+ and Redistributable, no modification permitted)
2. Remove database file and rebuild.
3. Remove Fedora repos.



Thanks.


Reference:

http://lists.debian.org/debian-legal/2008/04/msg00026.html

http://libreplanet.org/wiki/List_of_software_that_does_not_respect_the_Free_System_Distribution_Guidelines#nikto

https://fedoraproject.org/wiki/Packaging:Guidelines#Code_Vs_Content

https://fedoraproject.org/wiki/Licensing:Main#Content_Licenses
Comment 1 mejiko 2012-12-18 05:09:31 EST
Blocking FE-Legal, This is license problem (It is content or code ?).
Comment 2 Michal Ambroz 2013-02-02 08:25:03 EST
The nikto software is GPLv2.
Database distribution is permitted only with the full nikto package - which we are doing. I do not think that nikto database files should be removed from the package.
Comment 3 mejiko 2013-02-27 05:21:57 EST
Is database is the "code" or "content" ?

If database is "code", Its non-free.

If database is "content", Its no problem. 
I suggests that fix license tag.

Thanks.
Comment 4 Tom "spot" Callaway 2013-04-24 09:58:26 EDT
Just fix the license here, this is content.
Comment 5 Fedora Update System 2013-04-25 12:19:52 EDT
nikto-2.1.5-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nikto-2.1.5-6.fc19
Comment 6 Fedora Update System 2013-04-26 10:28:18 EDT
Package nikto-2.1.5-6.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nikto-2.1.5-6.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6671/nikto-2.1.5-6.fc19
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-04-30 00:41:04 EDT
nikto-2.1.5-6.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.